Skip to content

Overview ​

WARNING

Deprecation notice

We are deprecating all /api/v1/.../inbox-issues/ endpoints in favor of /api/v1/.../intake-issues/.

End of support
31st March 2025

What you need to do
To ensure uninterrupted service, replace all /inbox-issues/ references with /intake-issues/ in your codebase before the support end date.

To enable Intake, send a PATCH request to the project endpoint with this body:

http
GET    /api/v1/workspaces/{workspace_slug}/projects/{project_id}/inbox-issues/
POST   /api/v1/workspaces/{workspace_slug}/projects/{project_id}/inbox-issues/
GET    /api/v1/workspaces/{workspace_slug}/projects/{project_id}/inbox-issues/{work_item_id}/
PATCH  /api/v1/workspaces/{workspace_slug}/projects/{project_id}/inbox-issues/{work_item_id}/
DELETE /api/v1/workspaces/{workspace_slug}/projects/{project_id}/inbox-issues/{work_item_id}/
{
	inbox_view:true,
}

To create an intake issue, send the payload in this format:

json
{
  "issue": {
    "name": "Snoozed Issue 2",
    "priority": "high"
  }
}

Intake issue object ​

Attribute

  • created_at timestamp

    When the intake issue was created.

  • updated_at timestamp

    When the intake issue was last updated.

  • status

    The status of the intake issue, one of:

    • -2 - Pending
    • -1 - Rejected
    • 0 - Snoozed
    • 1 - Accepted
    • 2 - Duplicate
  • snoozed_till

    When the snooze on the issue ends.

  • source

    Where the intake issue came from.

  • created_by , updated_by uuid

    IDs of the users who created and last updated the intake issue. Plane sets these automatically.

  • Project uuid

    The project's UUID. Plane sets it automatically.

  • Workspace uuid

    The workspace's UUID. Plane sets it automatically.

  • inbox

    ID of the intake the issue belongs to.

  • issue

    ID of the issue.

  • duplicate_to

    ID of the issue that this issue duplicates.

Response200
json
{
  "id": "0de4d6d1-fdc7-4849-8080-dc379ab210e3",
  "pending_issue_count": 0,
  "created_at": "2023-11-21T07:32:26.072634Z",
  "updated_at": "2023-11-21T07:32:26.072648Z",
  "name": "a dummy project with Intake",
  "description": "",
  "is_default": true,
  "view_props": {},
  "created_by": "0649cb9d-05c8-4ef4-8e8b-d108ccddd42c",
  "updated_by": "0649cb9d-05c8-4ef4-8e8b-d108ccddd42c",
  "project": "6436c4ae-fba7-45dc-ad4a-5440e17cb1b2",
  "workspace": "c467e125-59e3-44ec-b5ee-f9c1e138c611"
}